de.vc.jfo.env

## Class UserSession

- java.lang.Object
- - de.vc.jfo.env.UserSession

-     public class UserSession
      extends java.lang.Object

  Represent the (GUI) session of a user and manages properties. This class is for internal use only.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getArrayProperty(java.lang.String domain, java.lang.String property)`
    `boolean` | `getBooleanProperty(java.lang.String domain, java.lang.String property, boolean defaultValue)`
    `java.io.File[]` | `getFileArrayProperty(java.lang.String domain, java.lang.String property)`
    `java.io.File` | `getFileProperty(java.lang.String domain, java.lang.String property)`
    `java.lang.String` | `getProperty(java.lang.String domain, java.lang.String property)`
    `java.lang.String` | `getProperty(java.lang.String domain, java.lang.String property, java.lang.String defaultValue)`
    `java.io.File` | `getSessionFile()`
    `static UserSession` | `instance()`
    `java.lang.String[]` | `listPropertyKeys(java.lang.String domain)`
    `void` | `setProperty(java.lang.String domain, java.lang.String property, boolean value)`
    `void` | `setProperty(java.lang.String domain, java.lang.String property, java.io.File file)`
    `void` | `setProperty(java.lang.String domain, java.lang.String property, java.io.File[] files)`
    `void` | `setProperty(java.lang.String domain, java.lang.String property, java.lang.String value)`
    `void` | `setProperty(java.lang.String domain, java.lang.String property, java.lang.String[] values)`
    `void` | `store()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### instance

          public static UserSession instance()

    - #### store

          public void store()

    - #### getFileProperty

          public java.io.File getFileProperty(java.lang.String domain,
                                     java.lang.String property)

    - #### getBooleanProperty

          public boolean getBooleanProperty(java.lang.String domain,
                                   java.lang.String property,
                                   boolean defaultValue)

    - #### setProperty

          public void setProperty(java.lang.String domain,
                         java.lang.String property,
                         java.io.File file)

    - #### getProperty

          public java.lang.String getProperty(java.lang.String domain,
                                     java.lang.String property)

    - #### getProperty

          public java.lang.String getProperty(java.lang.String domain,
                                     java.lang.String property,
                                     java.lang.String defaultValue)

    - #### setProperty

          public void setProperty(java.lang.String domain,
                         java.lang.String property,
                         java.lang.String value)

    - #### setProperty

          public void setProperty(java.lang.String domain,
                         java.lang.String property,
                         java.io.File[] files)

    - #### setProperty

          public void setProperty(java.lang.String domain,
                         java.lang.String property,
                         boolean value)

    - #### getFileArrayProperty

          public java.io.File[] getFileArrayProperty(java.lang.String domain,
                                            java.lang.String property)

    - #### setProperty

          public void setProperty(java.lang.String domain,
                         java.lang.String property,
                         java.lang.String[] values)

    - #### getArrayProperty

          public java.lang.String[] getArrayProperty(java.lang.String domain,
                                            java.lang.String property)

    - #### getSessionFile

          public java.io.File getSessionFile()

    - #### listPropertyKeys

          public java.lang.String[] listPropertyKeys(java.lang.String domain)

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.